<template>
    <div class="infoJardin">
        <!--<div @click="affichePlan">-->
        <div v-if="plan" class="schema" @click="affichePlan">
            <DessinPlanAffichage :border="false" :items="plan" />
        </div>

        <div v-else class="plannofoundcss" @click="affichePlan">
            <h3> {{messagePasDePlan}}</h3>
        </div>

        <div class="infoUser">
            <div v-if="notifications === undefined || notifications === null">Chargement des notifications...</div>
            <div v-else-if="notifications.length > 0" v-for="(notification, index) in notifications" :key="index" class="infoUserCard">
                <p class="infoUserCardTitle">{{notification.title}}</p>
                <div v-html="notification.message"></div>
            </div>
            <p v-else class="noNotification">Vous n'avez pas de notifications.</p>
        </div>
    </div>
</template>

<script lang="ts" setup>
    import { defineProps,ref,watch } from 'vue';
    import DessinPlanAffichage from "@/components/lot/DessinPlanAffichage.vue"
    import { PLan } from "@/types/entities";
    import { useRouter } from "vue-router";
    import { useUserLotStore } from "@/stores/userLotStore";
    import { Notification } from "@/types/entities";

    const router = useRouter();
    const userLotStore = useUserLotStore()
    let noNotifaction = false;

    // eslint-disable-next-line
    const props = defineProps<{
        notifications: {
            type: Notification,
            required: true
        },
        messagePasDePlan: {
            type: string,
            required: true
        }
        plan: PLan[],

    }>();

    const plan = ref<PLan[] | null>(props.plan.length == 0 ? null :props.plan)

    watch(() => props.plan, (nouvelle) => {
        plan.value = nouvelle.length == 0 ? null : props.plan
    })

    function affichePlan() {
        
        router.push({ name: 'plan index', params: { id: userLotStore.getIdUserlotYear } })
    }
       


</script>

